unit UserActionControl;

interface
uses
  Dialogs;

  function isPermitted(action: string): boolean;

implementation
uses
  Users;


function isPermitted(action: string): boolean;
begin

  ShowMessage( action );

  // check if AAC is enabled

  // get user id

  // get place

  // get profile

  // perfom check

  Result := True;
end;

end.
